{ lib, config, pkgs, ...}:
{  
  imports = [
    ./xmonad.hs
  ];
  services.xserver = {   
    desktopManager = {
      xfce = {
        enable = true;
        noDesktop = true;
        enableXfwm = false;
      };
    };
    windowManager = {
      xmonad = {
        enable = true;
        enableContribAndExtras = true;
        extraPackages = haskellPackages : [
          haskellPackages.xmonad-contrib
          haskellPackages.xmonad-extras
          haskellPackages.xmonad
        ];
      };
    };
    # displayManager.defaultSession = "xfce+xmonad";
  };
}
