# called by home-manager
{ lib, config, pkgs, ... }: 
{
    gtk = {
      enable = true;
	cursorTheme = {
          package = pkgs.capitaine-cursors;
          name = "capitaine-cursors";
          size = 32;
        };
        iconTheme.package = pkgs.tela-icon-theme;
        iconTheme.name = "Tela";

        theme.package = pkgs.graphite-gtk-theme;
        theme.name = "Graphite-Dark";
    };

    qt = {
	    enable = true;
	    platformTheme = "gtk";
    };
}

