{ options, config, lib, pkgs, inputs, nixvim,... }:
{ 
  home.packages = with pkgs; [
    #nixpkgs.overlays = [(self: super: { discord = super.discord.overrideAttrs (_: { src = builtins.fetchTarball https://discord.com/api/download?platform=linux&format=deb; });})];
  /* 
  (pkgs.discord.override {
       withOpenASAR = true;
       withVencord = true;
    })
    */
    # (pkgs.nerdfonts.override { fonts = [ "FantasqueSansMono" ]; })
    # (pkgs.writeShellScriptBin "my-hello" ''
    #   echo "Hello, ${config.home.username}!"
    # '')
    #vimpc
    #vimiv-qt

  ];

  programs.obs-studio = {
    enable = true;
    plugins = with pkgs.obs-studio-plugins; [
      wlrobs
      #obs-backgroundremoval
      #obs-pipewire-audio-capture
      #droidcam-obs
    ];
  };
 
    
 #home.file."./.config/nvim/" = {
 #    source = ./homeFiles/nvim;
 #    recursive = true;
 #};
 
 #xdg.configFile.nvim.source = ./homeFiles/nvim;
  programs.nixvim = {
    enable = true;
    colorschemes.gruvbox.enable = false;
    plugins.lightline.enable = true;
    extraPlugins = with pkgs.vimPlugins; [
      #vim2nix
      vim-nix
      vim-lsp-ultisnips
      vim-lsp
      nerdtree
    #haskellPackages.nvim-hs
      ];
      opts = {
      number = true;         # Show line numbers
      #relativenumber = true; # Show relative line numbers
      shiftwidth = 2;        # Tab width should be 2
    };
  };

   
/*
programs.emacs = {
  enable = true;
  #package = pkgs.doom-emacs;  # use programs.emacs.package instead if using home-manager
};
*/
/*
 programs.vscode = {
    enable = true;
    package = pkgs.vscodium;
    extensions = with pkgs.vscode-extensions; [
      #dracula-theme.theme-dracula
      vscodevim.vim
      #ayzhang.markdown-all-in-one
    ];
  };
*/



}
